function::module_name
Prev | Chapter 2. Context Functions | Next

## Name

function::module_name — The module name of the current script

## Synopsis

        module_name:string()

## Arguments

None

## Description

This function returns the name of the stap module. Either generated randomly (stap_[0-9a-f]+_[0-9a-f]+) or set by stap -m <module_name>.

Prev | Up | Next
function::modname | Home | function::module_size